package org.yaoqiang.bpmn.model.elements.collaboration;

import org.yaoqiang.bpmn.model.elements.XMLCollection;
import org.yaoqiang.bpmn.model.elements.XMLElement;
import org.yaoqiang.bpmn.model.elements.conversations.ConversationAssociation;

/**
 * ConversationAssociations
 * 
 * @author Shi Yaoqiang(shi_yaoqiang@yahoo.com)
 */
public class ConversationAssociations extends XMLCollection {

	private static final long serialVersionUID = 9078058072019386906L;

	public ConversationAssociations(Collaboration parent) {
		super(parent, "conversationAssociations");
	}

	public XMLElement generateNewElement() {
		return new ConversationAssociation(this);
	}

	public String getElementName() {
		return "conversationAssociation";
	}
	
}
