package org.yaoqiang.bpmn.model.elements.core.common;

import org.yaoqiang.bpmn.model.elements.XMLCollection;
import org.yaoqiang.bpmn.model.elements.XMLElement;

/**
 * CorrelationPropertyBindings
 * 
 * @author Shi Yaoqiang(shi_yaoqiang@yahoo.com)
 */
public class CorrelationPropertyBindings extends XMLCollection {

	private static final long serialVersionUID = 3865508600076831684L;

	public CorrelationPropertyBindings(CorrelationSubscription parent) {
		super(parent, "correlationPropertyBindings");
	}
	
	public XMLElement generateNewElement() {
		return new CorrelationPropertyBinding(this);
	}

	public String getElementName() {
		return "correlationPropertyBinding";
	}
	
}
